require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
unless(defined(&CONFIG_ARM)) {
    sub CONFIG_ARM () {	1;}
}
unless(defined(&CONFIG_MMU)) {
    sub CONFIG_MMU () {	1;}
}
unless(defined(&CONFIG_UID16)) {
    sub CONFIG_UID16 () {	1;}
}
unless(defined(&CONFIG_RWSEM_GENERIC_SPINLOCK)) {
    sub CONFIG_RWSEM_GENERIC_SPINLOCK () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
unless(defined(&CONFIG_CLEAN_COMPILE)) {
    sub CONFIG_CLEAN_COMPILE () {	1;}
}
unless(defined(&CONFIG_STANDALONE)) {
    sub CONFIG_STANDALONE () {	1;}
}
unless(defined(&CONFIG_BROKEN_ON_SMP)) {
    sub CONFIG_BROKEN_ON_SMP () {	1;}
}
unless(defined(&CONFIG_SWAP)) {
    sub CONFIG_SWAP () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	14;}
}
undef(&CONFIG_IKCONFIG) if defined(&CONFIG_IKCONFIG);
undef(&CONFIG_EMBEDDED) if defined(&CONFIG_EMBEDDED);
unless(defined(&CONFIG_KALLSYMS)) {
    sub CONFIG_KALLSYMS () {	1;}
}
unless(defined(&CONFIG_FUTEX)) {
    sub CONFIG_FUTEX () {	1;}
}
unless(defined(&CONFIG_EPOLL)) {
    sub CONFIG_EPOLL () {	1;}
}
unless(defined(&CONFIG_IOSCHED_NOOP)) {
    sub CONFIG_IOSCHED_NOOP () {	1;}
}
unless(defined(&CONFIG_IOSCHED_AS)) {
    sub CONFIG_IOSCHED_AS () {	1;}
}
unless(defined(&CONFIG_IOSCHED_DEADLINE)) {
    sub CONFIG_IOSCHED_DEADLINE () {	1;}
}
undef(&CONFIG_MODULES) if defined(&CONFIG_MODULES);
undef(&CONFIG_ARCH_ADIFCC) if defined(&CONFIG_ARCH_ADIFCC);
undef(&CONFIG_ARCH_ANAKIN) if defined(&CONFIG_ARCH_ANAKIN);
undef(&CONFIG_ARCH_CLPS7500) if defined(&CONFIG_ARCH_CLPS7500);
undef(&CONFIG_ARCH_CLPS711X) if defined(&CONFIG_ARCH_CLPS711X);
undef(&CONFIG_ARCH_CO285) if defined(&CONFIG_ARCH_CO285);
undef(&CONFIG_ARCH_PXA) if defined(&CONFIG_ARCH_PXA);
undef(&CONFIG_ARCH_EBSA110) if defined(&CONFIG_ARCH_EBSA110);
undef(&CONFIG_ARCH_CAMELOT) if defined(&CONFIG_ARCH_CAMELOT);
undef(&CONFIG_ARCH_FOOTBRIDGE) if defined(&CONFIG_ARCH_FOOTBRIDGE);
unless(defined(&CONFIG_ARCH_INTEGRATOR)) {
    sub CONFIG_ARCH_INTEGRATOR () {	1;}
}
undef(&CONFIG_ARCH_IOP3XX) if defined(&CONFIG_ARCH_IOP3XX);
undef(&CONFIG_ARCH_L7200) if defined(&CONFIG_ARCH_L7200);
undef(&CONFIG_ARCH_RPC) if defined(&CONFIG_ARCH_RPC);
undef(&CONFIG_ARCH_SA1100) if defined(&CONFIG_ARCH_SA1100);
undef(&CONFIG_ARCH_SHARK) if defined(&CONFIG_ARCH_SHARK);
undef(&CONFIG_ARCH_INTEGRATOR_AP) if defined(&CONFIG_ARCH_INTEGRATOR_AP);
undef(&CONFIG_ARCH_IOP310) if defined(&CONFIG_ARCH_IOP310);
undef(&CONFIG_ARCH_IOP321) if defined(&CONFIG_ARCH_IOP321);
unless(defined(&CONFIG_CPU_32)) {
    sub CONFIG_CPU_32 () {	1;}
}
undef(&CONFIG_CPU_ARM720T) if defined(&CONFIG_CPU_ARM720T);
undef(&CONFIG_CPU_ARM920T) if defined(&CONFIG_CPU_ARM920T);
undef(&CONFIG_CPU_ARM926T) if defined(&CONFIG_CPU_ARM926T);
undef(&CONFIG_CPU_ARM1020) if defined(&CONFIG_CPU_ARM1020);
undef(&CONFIG_CPU_ARM1022) if defined(&CONFIG_CPU_ARM1022);
undef(&CONFIG_CPU_ARM1026) if defined(&CONFIG_CPU_ARM1026);
unless(defined(&CONFIG_ICST525)) {
    sub CONFIG_ICST525 () {	1;}
}
unless(defined(&CONFIG_ARM_AMBA)) {
    sub CONFIG_ARM_AMBA () {	1;}
}
undef(&CONFIG_ZBOOT_ROM) if defined(&CONFIG_ZBOOT_ROM);
unless(defined(&CONFIG_ZBOOT_ROM_TEXT)) {
    sub CONFIG_ZBOOT_ROM_TEXT () {	0x;}
}
unless(defined(&CONFIG_ZBOOT_ROM_BSS)) {
    sub CONFIG_ZBOOT_ROM_BSS () {	0x;}
}
undef(&CONFIG_CPU_FREQ) if defined(&CONFIG_CPU_FREQ);
undef(&CONFIG_HOTPLUG) if defined(&CONFIG_HOTPLUG);
undef(&CONFIG_FPE_NWFPE) if defined(&CONFIG_FPE_NWFPE);
undef(&CONFIG_FPE_FASTFPE) if defined(&CONFIG_FPE_FASTFPE);
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
unless(defined(&CONFIG_BINFMT_AOUT)) {
    sub CONFIG_BINFMT_AOUT () {	1;}
}
undef(&CONFIG_BINFMT_MISC) if defined(&CONFIG_BINFMT_MISC);
undef(&CONFIG_PM) if defined(&CONFIG_PM);
undef(&CONFIG_PREEMPT) if defined(&CONFIG_PREEMPT);
undef(&CONFIG_ARTHUR) if defined(&CONFIG_ARTHUR);
unless(defined(&CONFIG_CMDLINE)) {
    sub CONFIG_CMDLINE () {	"root=1f04 mem=32M";}
}
unless(defined(&CONFIG_LEDS)) {
    sub CONFIG_LEDS () {	1;}
}
unless(defined(&CONFIG_LEDS_TIMER)) {
    sub CONFIG_LEDS_TIMER () {	1;}
}
unless(defined(&CONFIG_LEDS_CPU)) {
    sub CONFIG_LEDS_CPU () {	1;}
}
unless(defined(&CONFIG_ALIGNMENT_TRAP)) {
    sub CONFIG_ALIGNMENT_TRAP () {	1;}
}
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
unless(defined(&CONFIG_MTD)) {
    sub CONFIG_MTD () {	1;}
}
undef(&CONFIG_MTD_DEBUG) if defined(&CONFIG_MTD_DEBUG);
undef(&CONFIG_MTD_PARTITIONS) if defined(&CONFIG_MTD_PARTITIONS);
undef(&CONFIG_MTD_CONCAT) if defined(&CONFIG_MTD_CONCAT);
unless(defined(&CONFIG_MTD_CHAR)) {
    sub CONFIG_MTD_CHAR () {	1;}
}
unless(defined(&CONFIG_MTD_BLOCK)) {
    sub CONFIG_MTD_BLOCK () {	1;}
}
undef(&CONFIG_FTL) if defined(&CONFIG_FTL);
undef(&CONFIG_NFTL) if defined(&CONFIG_NFTL);
undef(&CONFIG_INFTL) if defined(&CONFIG_INFTL);
unless(defined(&CONFIG_MTD_CFI)) {
    sub CONFIG_MTD_CFI () {	1;}
}
undef(&CONFIG_MTD_JEDECPROBE) if defined(&CONFIG_MTD_JEDECPROBE);
unless(defined(&CONFIG_MTD_GEN_PROBE)) {
    sub CONFIG_MTD_GEN_PROBE () {	1;}
}
undef(&CONFIG_MTD_CFI_ADV_OPTIONS) if defined(&CONFIG_MTD_CFI_ADV_OPTIONS);
unless(defined(&CONFIG_MTD_CFI_INTELEXT)) {
    sub CONFIG_MTD_CFI_INTELEXT () {	1;}
}
undef(&CONFIG_MTD_CFI_AMDSTD) if defined(&CONFIG_MTD_CFI_AMDSTD);
undef(&CONFIG_MTD_CFI_STAA) if defined(&CONFIG_MTD_CFI_STAA);
undef(&CONFIG_MTD_RAM) if defined(&CONFIG_MTD_RAM);
undef(&CONFIG_MTD_ROM) if defined(&CONFIG_MTD_ROM);
undef(&CONFIG_MTD_ABSENT) if defined(&CONFIG_MTD_ABSENT);
undef(&CONFIG_MTD_OBSOLETE_CHIPS) if defined(&CONFIG_MTD_OBSOLETE_CHIPS);
undef(&CONFIG_MTD_COMPLEX_MAPPINGS) if defined(&CONFIG_MTD_COMPLEX_MAPPINGS);
undef(&CONFIG_MTD_PHYSMAP) if defined(&CONFIG_MTD_PHYSMAP);
undef(&CONFIG_MTD_ARM_INTEGRATOR) if defined(&CONFIG_MTD_ARM_INTEGRATOR);
undef(&CONFIG_MTD_EDB7312) if defined(&CONFIG_MTD_EDB7312);
undef(&CONFIG_MTD_SLRAM) if defined(&CONFIG_MTD_SLRAM);
undef(&CONFIG_MTD_MTDRAM) if defined(&CONFIG_MTD_MTDRAM);
undef(&CONFIG_MTD_BLKMTD) if defined(&CONFIG_MTD_BLKMTD);
undef(&CONFIG_MTD_DOC2000) if defined(&CONFIG_MTD_DOC2000);
undef(&CONFIG_MTD_DOC2001) if defined(&CONFIG_MTD_DOC2001);
undef(&CONFIG_MTD_DOC2001PLUS) if defined(&CONFIG_MTD_DOC2001PLUS);
undef(&CONFIG_MTD_NAND) if defined(&CONFIG_MTD_NAND);
undef(&CONFIG_PNP) if defined(&CONFIG_PNP);
undef(&CONFIG_BLK_DEV_FD) if defined(&CONFIG_BLK_DEV_FD);
undef(&CONFIG_BLK_DEV_LOOP) if defined(&CONFIG_BLK_DEV_LOOP);
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	4096;}
}
undef(&CONFIG_BLK_DEV_INITRD) if defined(&CONFIG_BLK_DEV_INITRD);
undef(&CONFIG_MD) if defined(&CONFIG_MD);
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
undef(&CONFIG_PACKET) if defined(&CONFIG_PACKET);
undef(&CONFIG_NETLINK_DEV) if defined(&CONFIG_NETLINK_DEV);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
undef(&CONFIG_NET_KEY) if defined(&CONFIG_NET_KEY);
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
undef(&CONFIG_IP_MULTICAST) if defined(&CONFIG_IP_MULTICAST);
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
unless(defined(&CONFIG_IP_PNP)) {
    sub CONFIG_IP_PNP () {	1;}
}
undef(&CONFIG_IP_PNP_DHCP) if defined(&CONFIG_IP_PNP_DHCP);
unless(defined(&CONFIG_IP_PNP_BOOTP)) {
    sub CONFIG_IP_PNP_BOOTP () {	1;}
}
undef(&CONFIG_IP_PNP_RARP) if defined(&CONFIG_IP_PNP_RARP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_INET_ECN) if defined(&CONFIG_INET_ECN);
undef(&CONFIG_SYN_COOKIES) if defined(&CONFIG_SYN_COOKIES);
undef(&CONFIG_INET_AH) if defined(&CONFIG_INET_AH);
undef(&CONFIG_INET_ESP) if defined(&CONFIG_INET_ESP);
undef(&CONFIG_INET_IPCOMP) if defined(&CONFIG_INET_IPCOMP);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_NETFILTER) if defined(&CONFIG_NETFILTER);
unless(defined(&CONFIG_IPV6_SCTP__)) {
    sub CONFIG_IPV6_SCTP__ () {	1;}
}
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_LLC2) if defined(&CONFIG_LLC2);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_FASTROUTE) if defined(&CONFIG_NET_FASTROUTE);
undef(&CONFIG_NET_HW_FLOWCONTROL) if defined(&CONFIG_NET_HW_FLOWCONTROL);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
undef(&CONFIG_MII) if defined(&CONFIG_MII);
undef(&CONFIG_PPP) if defined(&CONFIG_PPP);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_RADIO) if defined(&CONFIG_NET_RADIO);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_BT) if defined(&CONFIG_BT);
undef(&CONFIG_IDE) if defined(&CONFIG_IDE);
undef(&CONFIG_SCSI) if defined(&CONFIG_SCSI);
undef(&CONFIG_ISDN_BOOL) if defined(&CONFIG_ISDN_BOOL);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_PSAUX)) {
    sub CONFIG_INPUT_MOUSEDEV_PSAUX () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	1024;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	768;}
}
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
undef(&CONFIG_INPUT_TSDEV) if defined(&CONFIG_INPUT_TSDEV);
undef(&CONFIG_INPUT_EVDEV) if defined(&CONFIG_INPUT_EVDEV);
undef(&CONFIG_INPUT_EVBUG) if defined(&CONFIG_INPUT_EVBUG);
undef(&CONFIG_GAMEPORT) if defined(&CONFIG_GAMEPORT);
unless(defined(&CONFIG_SOUND_GAMEPORT)) {
    sub CONFIG_SOUND_GAMEPORT () {	1;}
}
unless(defined(&CONFIG_SERIO)) {
    sub CONFIG_SERIO () {	1;}
}
unless(defined(&CONFIG_SERIO_I8042)) {
    sub CONFIG_SERIO_I8042 () {	1;}
}
unless(defined(&CONFIG_SERIO_SERPORT)) {
    sub CONFIG_SERIO_SERPORT () {	1;}
}
undef(&CONFIG_SERIO_CT82C710) if defined(&CONFIG_SERIO_CT82C710);
undef(&CONFIG_SERIO_AMBAKMI) if defined(&CONFIG_SERIO_AMBAKMI);
unless(defined(&CONFIG_INPUT_KEYBOARD)) {
    sub CONFIG_INPUT_KEYBOARD () {	1;}
}
unless(defined(&CONFIG_KEYBOARD_ATKBD)) {
    sub CONFIG_KEYBOARD_ATKBD () {	1;}
}
undef(&CONFIG_KEYBOARD_SUNKBD) if defined(&CONFIG_KEYBOARD_SUNKBD);
undef(&CONFIG_KEYBOARD_XTKBD) if defined(&CONFIG_KEYBOARD_XTKBD);
undef(&CONFIG_KEYBOARD_NEWTON) if defined(&CONFIG_KEYBOARD_NEWTON);
unless(defined(&CONFIG_INPUT_MOUSE)) {
    sub CONFIG_INPUT_MOUSE () {	1;}
}
unless(defined(&CONFIG_MOUSE_PS2)) {
    sub CONFIG_MOUSE_PS2 () {	1;}
}
undef(&CONFIG_MOUSE_PS2_SYNAPTICS) if defined(&CONFIG_MOUSE_PS2_SYNAPTICS);
undef(&CONFIG_MOUSE_SERIAL) if defined(&CONFIG_MOUSE_SERIAL);
undef(&CONFIG_INPUT_JOYSTICK) if defined(&CONFIG_INPUT_JOYSTICK);
undef(&CONFIG_INPUT_TOUCHSCREEN) if defined(&CONFIG_INPUT_TOUCHSCREEN);
undef(&CONFIG_INPUT_MISC) if defined(&CONFIG_INPUT_MISC);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_HW_CONSOLE)) {
    sub CONFIG_HW_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
undef(&CONFIG_SERIAL_8250) if defined(&CONFIG_SERIAL_8250);
unless(defined(&CONFIG_SERIAL_AMBA)) {
    sub CONFIG_SERIAL_AMBA () {	1;}
}
unless(defined(&CONFIG_SERIAL_AMBA_CONSOLE)) {
    sub CONFIG_SERIAL_AMBA_CONSOLE () {	1;}
}
unless(defined(&CONFIG_SERIAL_INTEGRATOR)) {
    sub CONFIG_SERIAL_INTEGRATOR () {	1;}
}
unless(defined(&CONFIG_SERIAL_CORE)) {
    sub CONFIG_SERIAL_CORE () {	1;}
}
unless(defined(&CONFIG_SERIAL_CORE_CONSOLE)) {
    sub CONFIG_SERIAL_CORE_CONSOLE () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTY_COUNT)) {
    sub CONFIG_UNIX98_PTY_COUNT () {	256;}
}
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
undef(&CONFIG_I2C_SENSOR) if defined(&CONFIG_I2C_SENSOR);
undef(&CONFIG_BUSMOUSE) if defined(&CONFIG_BUSMOUSE);
undef(&CONFIG_QIC02_TAPE) if defined(&CONFIG_QIC02_TAPE);
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
undef(&CONFIG_NVRAM) if defined(&CONFIG_NVRAM);
undef(&CONFIG_RTC) if defined(&CONFIG_RTC);
undef(&CONFIG_GEN_RTC) if defined(&CONFIG_GEN_RTC);
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
undef(&CONFIG_FTAPE) if defined(&CONFIG_FTAPE);
undef(&CONFIG_AGP) if defined(&CONFIG_AGP);
undef(&CONFIG_DRM) if defined(&CONFIG_DRM);
undef(&CONFIG_RAW_DRIVER) if defined(&CONFIG_RAW_DRIVER);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_DVB) if defined(&CONFIG_DVB);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
undef(&CONFIG_EXT2_FS_XATTR) if defined(&CONFIG_EXT2_FS_XATTR);
undef(&CONFIG_EXT3_FS) if defined(&CONFIG_EXT3_FS);
undef(&CONFIG_JBD) if defined(&CONFIG_JBD);
undef(&CONFIG_REISERFS_FS) if defined(&CONFIG_REISERFS_FS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
unless(defined(&CONFIG_ROMFS_FS)) {
    sub CONFIG_ROMFS_FS () {	1;}
}
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
undef(&CONFIG_AUTOFS_FS) if defined(&CONFIG_AUTOFS_FS);
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
undef(&CONFIG_ISO9660_FS) if defined(&CONFIG_ISO9660_FS);
undef(&CONFIG_UDF_FS) if defined(&CONFIG_UDF_FS);
undef(&CONFIG_FAT_FS) if defined(&CONFIG_FAT_FS);
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
undef(&CONFIG_DEVFS_FS) if defined(&CONFIG_DEVFS_FS);
unless(defined(&CONFIG_DEVPTS_FS)) {
    sub CONFIG_DEVPTS_FS () {	1;}
}
undef(&CONFIG_DEVPTS_FS_XATTR) if defined(&CONFIG_DEVPTS_FS_XATTR);
undef(&CONFIG_TMPFS) if defined(&CONFIG_TMPFS);
undef(&CONFIG_HUGETLB_PAGE) if defined(&CONFIG_HUGETLB_PAGE);
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_JFFS_FS) if defined(&CONFIG_JFFS_FS);
undef(&CONFIG_JFFS2_FS) if defined(&CONFIG_JFFS2_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
undef(&CONFIG_NFS_V3) if defined(&CONFIG_NFS_V3);
undef(&CONFIG_NFS_V4) if defined(&CONFIG_NFS_V4);
undef(&CONFIG_NFS_DIRECTIO) if defined(&CONFIG_NFS_DIRECTIO);
undef(&CONFIG_NFSD) if defined(&CONFIG_NFSD);
unless(defined(&CONFIG_ROOT_NFS)) {
    sub CONFIG_ROOT_NFS () {	1;}
}
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
undef(&CONFIG_EXPORTFS) if defined(&CONFIG_EXPORTFS);
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
undef(&CONFIG_SUNRPC_GSS) if defined(&CONFIG_SUNRPC_GSS);
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_CIFS) if defined(&CONFIG_CIFS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_INTERMEZZO_FS) if defined(&CONFIG_INTERMEZZO_FS);
undef(&CONFIG_AFS_FS) if defined(&CONFIG_AFS_FS);
unless(defined(&CONFIG_PARTITION_ADVANCED)) {
    sub CONFIG_PARTITION_ADVANCED () {	1;}
}
undef(&CONFIG_ACORN_PARTITION) if defined(&CONFIG_ACORN_PARTITION);
undef(&CONFIG_OSF_PARTITION) if defined(&CONFIG_OSF_PARTITION);
undef(&CONFIG_AMIGA_PARTITION) if defined(&CONFIG_AMIGA_PARTITION);
undef(&CONFIG_ATARI_PARTITION) if defined(&CONFIG_ATARI_PARTITION);
undef(&CONFIG_MAC_PARTITION) if defined(&CONFIG_MAC_PARTITION);
undef(&CONFIG_MSDOS_PARTITION) if defined(&CONFIG_MSDOS_PARTITION);
undef(&CONFIG_LDM_PARTITION) if defined(&CONFIG_LDM_PARTITION);
undef(&CONFIG_NEC98_PARTITION) if defined(&CONFIG_NEC98_PARTITION);
undef(&CONFIG_SGI_PARTITION) if defined(&CONFIG_SGI_PARTITION);
undef(&CONFIG_ULTRIX_PARTITION) if defined(&CONFIG_ULTRIX_PARTITION);
undef(&CONFIG_SUN_PARTITION) if defined(&CONFIG_SUN_PARTITION);
undef(&CONFIG_EFI_PARTITION) if defined(&CONFIG_EFI_PARTITION);
undef(&CONFIG_FB) if defined(&CONFIG_FB);
unless(defined(&CONFIG_VGA_CONSOLE)) {
    sub CONFIG_VGA_CONSOLE () {	1;}
}
undef(&CONFIG_MDA_CONSOLE) if defined(&CONFIG_MDA_CONSOLE);
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
unless(defined(&CONFIG_FRAME_POINTER)) {
    sub CONFIG_FRAME_POINTER () {	1;}
}
unless(defined(&CONFIG_DEBUG_USER)) {
    sub CONFIG_DEBUG_USER () {	1;}
}
undef(&CONFIG_DEBUG_INFO) if defined(&CONFIG_DEBUG_INFO);
undef(&CONFIG_DEBUG_KERNEL) if defined(&CONFIG_DEBUG_KERNEL);
undef(&CONFIG_SECURITY) if defined(&CONFIG_SECURITY);
undef(&CONFIG_CRYPTO) if defined(&CONFIG_CRYPTO);
undef(&CONFIG_CRC32) if defined(&CONFIG_CRC32);
1;
